/*
** Module   :SETVALUE.CMD
** Abstract :
**
** Copyright (C) Link Guard Solutions
**
** Log: Tue  20/03/2001 Created
**
*/
/* Print head */
ct = sf_get_config("settings", "contenttype")
if ct<>'' then ct = '; '||ct
say "Content-type: text/html"||ct
say "Pragma: no-cache"
say ""

/* parse parameters */
a = arg(1)

/*      Set default values */
knownword="PATH PREVVIEW"
pars.path=''
pars.prevview='showtree'
pars.newvalue=''
addparams = '' /* This will hold 'additional params' to be passed to every other showtree call */

/* Read SET data */
do while a<>''
    parse var a param'&'a
    parse var param pname'='pvalue
    pname = translate(pname)
    if wordpos(pname, knownword) = 0 then
        addparams = addparams||'&'||param
    else
        pars.pname=pvalue
end
fulpath='sfcgi.pipes.0.'pars.path

say "<HTML><TITLE>SafeFire PPP Remote Control</TITLE><BODY>"
/* Perform update */
call sf_localbase 'DELETE', fulpath, '', 'dt.'
written = 0
fulname = get1val('NAME', fulpath)
if fulname<> '' then
    fuldata = '<i>'||fulname||'</i>('||pars.path||')'
else
    fuldata = '<i>'||pars.path||'</i>'

do i = dt.0 to 1 by -1 while written = 0
    if translate(dt.i.name) = translate(fulpath) then
    do
        written = 1
        parse var dt.i id':'lang':'val
        if dt.i.type=1 then
        do
            say 'Delete of '||fuldata||' succeeded.<p>'
            say 'Message received: <b>'||val||'</b>.<p>'
        end
        else
        do
            say 'Delete of '||fuldata||' failed.<p>'
            say 'Error description: <b>'||val||'</b>.<p>'
        end
    end
end
if \written then
do
    say 'Delete of '||fuldata||' failed.<p>No responce was received.<p>'
end
x = lastpos('.', pars.path)
if x = 0 then
do
    qname = ''
end
else
do
    qname = left(pars.path, x - 1)
end

say 'To return to variables list <a href="sfcgi.cmd?'||pars.prevview||'&path='||qname||addparams||'">click here</a>.'
say "</BODY></HTML>"
return


