/*
** Module   :SETVALUE.CMD
** Abstract :
**
** Copyright (C) Link Guard Solutions
**
** Log: Tue  20/03/2001 Created
**
*/

/* First parse parameters */
a = arg(1)

/*      Set default values */
knownword="PATH PREVVIEW"
pars.path=''
pars.prevview='showtree'
addparams = '' /* This will hold 'additional params' to be passed to every other showtree call */

/* Read SET data */
do while a<>''
    parse var a param'&'a
    parse var param pname'='pvalue
    pname = translate(pname)
    if wordpos(pname, knownword) = 0 then
        addparams = addparams||'&'||param
    else
        pars.pname=pvalue
end
addparams = addparams||'&prevview='||pars.prevview
fulpath='sfcgi.pipes.0.'pars.path

/* Print head */
ct = sf_get_config("settings", "contenttype")
if ct<>'' then ct = '; '||ct
say "Content-type: text/html"||ct
say "Pragma: no-cache"
say ""
say "<HTML><TITLE>SafeFire PPP Remote Control</TITLE><BODY>"

fulname = get1val('NAME', fulpath)
if fulname<>'' then
    say '<h3>Set <i>'||fulname||'</i>('||pars.path||') value </h3>'
else
    say '<h3>Set <i>'||pars.path||'</i> value </h3>'

say '<form name=setvalue action="sfcgi.cmd?putvalue&path='||pars.path||addparams||'" method="post">'
say 'Enter new value: <input type="text" name="newvalue" size=50 value="'||get1val('VALUE', fulpath)||'">'
say '<p><input type="reset" value="Reset">&nbsp;&nbsp;<input type="submit" value="Set">'
say '</form>'

say "</BODY></HTML>"
return



